Summary:	FUSE (Filesystem in Userspace) v2 utilities
Name:		fuse
Version:	3.16.2
Release:	1%{?dist}
License:	GPL+
URL:		http://fuse.sf.net
Source0:    https://github.com/libfuse/libfuse/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz


BuildRequires:	autoconf automake libtool make systemd-udev gettext-devel libselinux-devel
Requires:	which fuse-common

%description
This package provides functions (v2) to mount the file system, unmount it, read 
requests from the kernel, and send responses back.

%package libs
Summary:	FUSE (Filesystem in Userspace) v2 libraries
License:	LGPLv2+

%description libs
This package provides FUSE v2 libraries.

%package devel
Summary:	FUSE (Filesystem in Userspace) v2 development files
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig
License:	LGPLv2+

%description devel
This package provides FUSE v2 development files.

%prep
%autosetup -p1

%build
export MOUNT_FUSE_PATH="%{_sbindir}"
export CFLAGS="%{optflags} -D_GNU_SOURCE" 
autoreconf -ivf
%configure
%make_build

%install
%make_install

find %{buildroot} -type f -name *.la -delete
rm -f %{buildroot}/etc/init.d/fuse
rm -f %{buildroot}/etc/udev/rules.d/99-fuse.rules
rm -f %{buildroot}%{_libdir}/*.a

%post -p /sbin/ldconfig libs
%postun -p /sbin/ldconfig libs

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README.md README.NFS
%{_sbindir}/mount.fuse
%attr(4755,root,root) %{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%{_mandir}/man1/*
%{_mandir}/man8/*

%files libs
%license COPYING.LIB
%{_libdir}/libfuse.so.*
%{_libdir}/libulockmgr.so.*

%files devel
%{_includedir}/fuse
%{_includedir}/fuse.h
%{_includedir}/ulockmgr.h
%{_libdir}/pkgconfig/fuse.pc
%{_libdir}/libfuse.so
%{_libdir}/libulockmgr.so

%changelog
* Mon Dec 11 2023 Upgrade Robot <upbot@opencloudos.org> - 3.16.2-1
- Upgrade to version 3.16.2

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.9-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jun 27 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.9.9-1
- Initial build
